Subject: Re: bug#51380: 29.0.50; The annotated example of a complete working Flymake backend leaves process buffers around

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 25 Oct 2021 01:26:01 +0200

Rudolf Adamkovič <[email-masked]> writes:

> leaves zombie buffers around. I traced the problem down to
>
> ┌────
> │ (when (eq 'exit (process-status proc)) …
> └────
>
> The backend kills the process buffer on `'exit' but not on `'signal', which happens when Flymake kills an obsolete in-progress check. I fixed the problem locally by checking for both `(or (eq status 'exit) (eq status 'signal)'. 

Yup.  I've now fixed this in emacs-28 (which will be merged into
master in a few days).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no